Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-26821

jenkins-jclouds throwing fatal errors on latest Jenkins

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Blocker
    • Resolution: Duplicate
    • Component/s: jclouds-plugin
    • Labels:
      None
    • Environment:
      Latest jenkins
      Latest jclouds plugin (2.8)
      OpenJDK 1.6.0_27-b27
      Ubuntu
    • Similar Issues:

      Description

      There's lot of errors like these:

      Stack trace

      javax.servlet.ServletException: com.google.inject.CreationException: Unable to create injector, see the following errors:

      1) Overriding @Provides methods is not allowed.
      @Provides method: org.jclouds.logging.config.LoggingModule.createLoggerFactory()
      overridden by: org.jclouds.logging.jdk.config.JDKLoggingModule.createLoggerFactory()
      at com.google.inject.internal.ProviderMethodsModule.getProviderMethods(ProviderMethodsModule.java:128)

      2) Overriding @Provides methods is not allowed.
      @Provides method: org.jclouds.openstack.keystone.v2_0.config.KeystoneAuthenticationModule.authenticationMethods()
      overridden by: org.jclouds.rackspace.cloudidentity.v2_0.config.CloudIdentityAuthenticationModule.authenticationMethods()
      at com.google.inject.internal.ProviderMethodsModule.getProviderMethods(ProviderMethodsModule.java:128)

      3) Overriding @Provides methods is not allowed.
      @Provides method: org.jclouds.compute.config.BaseComputeServiceContextModule.osFamilyToCredentials()
      overridden by: org.jclouds.openstack.nova.v2_0.compute.config.NovaComputeServiceContextModule.osFamilyToCredentials()
      at com.google.inject.internal.ProviderMethodsModule.getProviderMethods(ProviderMethodsModule.java:128)

        Attachments

          Issue Links

            Activity

            Hide
            devopsy Max Lincoln added a comment -

            I upgraded the java to jdk7 but I still get the same errors.

            Show
            devopsy Max Lincoln added a comment - I upgraded the java to jdk7 but I still get the same errors.

              People

              • Assignee:
                Unassigned
                Reporter:
                devopsy Max Lincoln
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: